import type { TestScript } from '@/api/device/interface/testScript'
import http from '@/api'

/**
 * @name 检测脚本管理模块
 */
// 获取检测脚本列表
export const getPqScriptList = (params: TestScript.ReqTestScriptParams) => {
  return http.post(`/pqScript/list`, params)
}


//升级为模版
export const updatePqScript = (params: TestScript.ResTestScript) => {
  return http.get(`/pqScript/upgradeToTemplate?id=${params.id}`)
}

//删除检测脚本
export const deletePqScript = (params: string[]) => {
  return http.post(`/pqScript/delete`, params)
}
